import 'package:flutter/widgets.dart';
import 'package:flutterskel/widgets/stateful/RawBaseStatefulWidget.dart';
import 'package:flutterskel/widgets/stateless/RawStatelessWidgetClass.dart';

import '../../configuration/AppConfiguration.dart';
import '../../configuration/ConfigurationRepository.dart';
import '../../data/sources/DataSource.dart';
import '../../resources/colors/AppColors.dart';
import '../../resources/dimensions/AppDimensions.dart';
import '../../resources/fonts/AppFonts.dart';
import '../../resources/icons/IconResources.dart';
import '../../resources/images/ImageResources.dart';
import '../../resources/strings/Strings.dart';
import '../../resources/strings/StringsRepository.dart';
import '../../resources/themes/Theme.dart';
import '../../resources/themes/ThemeRepository.dart';
import '../../routing/page/PageRouter.dart';
import '../../routing/url/UrlRouter.dart';
import '../../userinformation/UserInformationRepository.dart';

abstract class BaseStatelessWidget
  extends RawBaseStatelessWidget<
      // DataSource
      DataSource,
      // Routing
      UrlRouter,
      PageRouter,
      // Configuration
      ConfigurationRepository,
      AppConfiguration,
      // User Information
      UserInformationRepository,
      // Theme
      ThemeRepository,
      AppTheme,
      AppColors,
      AppDimensions,
      AppFonts,
      // Strings
      StringsRepository,
      AppStrings,
      ImageResources,
      AppIcons> {}